
Foreman - Bug #12055

Detail line in NICs table shows wrong information when a new NIC is added

10/05/2015 08:14 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2784

  

Description

NICs table in the host create/edit form provides details about the interface, e.g. "physical @ bridge eth1". When a new interface is

added, all the detail lines get regenerated with wrong information. It seems that data from the just added interface are used for all

other lines too.

Related issues:

Related to Foreman - Bug #14202: select2 missing from interface/NIC compute r... Closed 03/15/2016

Associated revisions

Revision 44723b9f - 10/09/2015 04:37 AM - Tomáš Strachota

Fixes #12055 - select initialization breaks nic table refresh

Revision 57750deb - 10/14/2015 07:50 AM - Tomáš Strachota

Fixes #12055 - select initialization breaks nic table refresh

(cherry picked from commit 44723b9f97320a1c5ee9522e63c10ae7267c6df8)

History

#1 - 10/06/2015 07:14 AM - Tomáš Strachota

- Status changed from New to Assigned

#2 - 10/06/2015 09:12 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2784 added

- Pull request deleted ()

#3 - 10/09/2015 04:37 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#4 - 10/09/2015 05:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 44723b9f97320a1c5ee9522e63c10ae7267c6df8.

#5 - 03/15/2016 06:15 AM - Dominic Cleal

- Related to Bug #14202: select2 missing from interface/NIC compute resource dropdown menus added
